#ifndef CAMERARECOGNITION_H
#define CAMERARECOGNITION_H

#include <QDialog>
#include "cameracontroler.h"

namespace Ui {
class CameraRecognition;
}

/**
 * Clase que se utiliza si se necesita camara para reconocer. *Recibe los parametros de CamaraControler.
 * @autor Luis Leiva, Felipe Muñoz, Sebastian Ubiergo
 */
class CameraRecognition : public QDialog
{
    Q_OBJECT

public:
   /**
    * Contructor de CameraRecognition
    * @param cameraControler: Controlador de la camara.
    * @param parent:
    */
    explicit CameraRecognition(CameraControler *,QWidget *parent = 0);
    /**
     * Metodo que enciende la camara seteando los valores del estado de la camara para que comience el hilo.
     */
    void turnCameraOn();
    /**
     * Metodo que apaga la camara seteando los valores del estado de la camara para que termine el hilo.
     */
    void turnCameraOff();
    /**
     * Metodo utilizado para setear la imagen que se muestra de la camara indicando si se utiliza para reconocer o no.
     * @param imagen:
     * @param pos: si es distinto de 0 reconoce la cara.
     */
    void setImage(QPixmap *,int);
    /**
     * Destructor de CameraRecognition.
     */
    ~CameraRecognition();

public slots:
    /**
     * Metodo que apaga la camara y vuelve al mainwindow.
     */
    void reject();

private:
    Ui::CameraRecognition *ui;
    CameraControler *cameraControler;
};

#endif // CAMERARECOGNITION_H
