#include "cameratrainer.h"
#include "ui_cameratrainer.h"

CameraTrainer::CameraTrainer(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CameraTrainer)
{
    this->setModal(true);
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QFrame *frame = new QFrame();
    ui->setupUi(frame);
    mainLayout->addWidget(frame);
    connect(ui->MainMenuButton,SIGNAL(clicked()),this,SLOT(reject()));
    connect(ui->AddCaptionButton,SIGNAL(clicked()),this,SLOT(Training()));
    ui->AddCaptionButton->setBackgroundRole(QPalette::ColorRole::Button);
    Pal = new QPalette();
    Pal->setColor(QPalette::Button,Qt::red);
    ui->AddCaptionButton->setPalette(*Pal);
    IcanTakePhoto = false;
}

CameraTrainer::~CameraTrainer(){
    delete ui;
}

void CameraTrainer::Training(){
    if(IcanTakePhoto){
        cameraControler->update();
    }
}

void CameraTrainer::setImage(QPixmap *imagen){
    ui->ViewCamara->setPixmap(*imagen);
}

void CameraTrainer::setIcanTakePhoto(bool IcanTakePhoto){
    this->IcanTakePhoto = IcanTakePhoto;
    if(IcanTakePhoto){
        Pal->setColor(QPalette::Button,Qt::green);
        ui->AddCaptionButton->setPalette(*Pal);
    }else{
        Pal->setColor(QPalette::Button,Qt::red);
        ui->AddCaptionButton->setPalette(*Pal);
    }
}

void CameraTrainer::turnCameraOn(){
    cameraControler->setEstadoCamara(true);
    cameraControler->start();
}

void CameraTrainer::turnCameraOff(){
    cameraControler->setEstadoCamara(false);
    while(!cameraControler->isFinished());
}

void CameraTrainer::setCameraControler(CameraControler *cameraControler){
    this->cameraControler = cameraControler;
    this->cameraControler->setCameraTrainer(this);
}

QPushButton *CameraTrainer::getChangeButton(){
    return ui->ChangeButton;
}

void CameraTrainer::reject(){
    this->turnCameraOff();
    QDialog::reject();
}

void CameraTrainer::setRol(int Rol){
    this->Rol = Rol;
}

int CameraTrainer::getRol(){
    return Rol;
}

void CameraTrainer::setName(String Name){
    this->Name = Name;
}

String CameraTrainer::getName(){
    return Name;
}
