#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    cameraControler = new CameraControler();
    registro = new RegistroContacto(cameraControler);
    cameraRecognition = new CameraRecognition(cameraControler);
    connect(ui->TrainerButton,SIGNAL(clicked()),this,SLOT(CreateWindowRegistro()));
    connect(ui->RecognitionButton,SIGNAL(clicked()),this,SLOT(CreateWindowRecognition()));
}

MainWindow::~MainWindow(){
    delete ui;
}

void MainWindow::CreateWindowRegistro(void){
    cameraControler->setIamTraining(true);
    registro->clearAll();
    registro->show();
}

void MainWindow::CreateWindowRecognition(){
    cameraControler->setIamTraining(false);
    cameraRecognition->turnCameraOn();
    cameraRecognition->show();
}
