# Proyecto: Reconocimiento facial

El proyecto consiste en una captura y reconocimiento de rostros en tiempo real. Para ello, el programa debe poseer una base de datos en la cual deben estar registrados todas las personas de interés. El sistema es capaz de decir cuando la persona no está registrada en la base de datos, y debe ser capaz de registrar nuevos usuarios en cualquier momento.

Las aplicaciones de este proyecto son múltiples. En particular, fue pensado para implementarlo en el ambiente de porteria de la Universidad Técnica Federico Santa María. 

## Getting Started

Estas instrucciones están diseñadas para dejar el proyecto funcionando en su máquina local.

### Prerequisitos

Para correr el programa es necesario tener descargado g++ en su equipo, OpenCV 3.4.1, QT versión 5.5.1, Qmake versión 3.0, doxygen y graphviz (estos dos últimos para generar documentación). Los makefiles están diseñados para correr en arquitectura LINUX.

### Instalación

Abrir la carpeta arhivos del proyecto con una terminal y ejecutar el comando qmake, el cual generará el Makefile ncesario para compilar el proyecto. 

```
qmake
make
```

## Ejecutando el programa

Una vez ejecutados los comandos anteriores el programa puede ser corrido con:

```
./FaceRecognitionV2
```

## Documentación

Para generar la documentación se debe ejecutar el siguiente comando en la carpeta "archivos". 

```
doxygen confDoc
```

Finalmente, toda la documentación se encontrará en una carpeta llamada Documentation y para acceder a ella, una vez dentro de Documentation/html, se debe abrir el archivo "index.html".

## Autores

* **Luis Leiva** - *Desarrollador* - [luis.leiva.13](https://git.elo.utfsm.cl/luis.leiva.13)
* **Felipe Muñoz** - *Desarrollador* - [felipe.munozbello.13](https://git.elo.utfsm.cl/felipe.munozbello.13)
* **Sebastián Ubiergo** - *Desarrollador* - [sebastian.ubiergo.13](https://git.elo.utfsm.cl/sebastian.ubiergo.13)

## Agredecimientos

* Se agradece en particular al autor del blog http://acodigo.blogspot.com/2014/03/reconocimiento-facial.html, ya que fue una gran guía para crear el proyecto.

